















      INTEGER       MXQIAT, MXQUAT, MXQBOX, MXQBSZ, MAXQUA, QUATAG(14)
      PARAMETER     (MXQIAT=167)
      PARAMETER     (MXQUAT=57)
      PARAMETER     (MXQBOX=60)
      PARAMETER     (MXQBSZ=16)
      INTEGER*2     QUALBX(MXQBSZ,MXQBSZ,MXQBSZ,MXQBOX)

      INTEGER*1     QUALBY(MXQBSZ,MXQBSZ,MXQBSZ,MXQBOX)

      INTEGER*1     QUALBL(MXQBSZ,MXQBSZ,MXQBSZ,MXQUAT)
      CHARACTER*1   HSTQUA
      CHARACTER*3   EXTION
      CHARACTER*4   QUACID
      CHARACTER*80  QUAFLC
      LOGICAL       LOCQAT(14)
      REAL*4        QUAIAT(3,14), QUAAVE(MXQBOX)
      EQUIVALENCE   (QUALBX(1,1,1,1),ESPACE(1))
      EQUIVALENCE   (QUALBY(1,1,1,1),ESPACE(1))
      EQUIVALENCE   (QUALBL(1,1,1,1),ESPACE(1))

      COMMON        /QUATY1/
     +              MAXQUA, QUAIAT, QUATAG, QUAAVE

      COMMON        /QUATY1A/
     +              QUACID

      COMMON        /QUATY2/
     +              HSTQUA

      COMMON        /QUATY3/
     +              LOCQAT

      COMMON        /QUATY4/
     +              EXTION

      COMMON        /QUATY5/
     +              QUAFLC
